ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Steve Loughran" <stev...@iseran.com>
Subject Re: Ant 1.5 and the Java 2 Platform
Date Sun, 04 Nov 2001 08:11:46 GMT
Interesting q. Already we degrade functionality on 1.1 (touch), but everyone
is thorough about using reflection to access post1.1 facilities. Yet
optional tasks today implicitly depend on java 1.2+ (ex: JSPC needs jasper,
which I believe is a 1.2+ jar.

I think it is important to support java 1.1, as it is not only a target for
apps, but some platforms are limited to java1.1 for builds too. I dont know
how many people build ant+optional tasks using a 1.1 jvm, but doing so does
act as a check against accidentally including non 1.1 code;

What particular 1.2+ functionality were you thinking of?


----- Original Message -----
From: "Magesh Umasankar" <umagesh@rediffmail.com>
To: <ant-dev@jakarta.apache.org>
Sent: Saturday, November 03, 2001 19:43
Subject: Ant 1.5 and the Java 2 Platform



Hi,

While we move towards Ant2, I am wondering if releases
that are made till Ant2 have to stay JDK 1.1 compatible.
Even if one argues that the core has to remain 1.1
compatible, perhaps optional tasks need not?  We can
always say Task X needs JDK 1.2.x and above, just as
we say Task Y needs Jakarta ORO installed?

Magesh



--
To unsubscribe, e-mail:   <mailto:ant-dev-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:ant-dev-help@jakarta.apache.org>




--
To unsubscribe, e-mail:   <mailto:ant-dev-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:ant-dev-help@jakarta.apache.org>


Mime
View raw message